Bug 1461861 - notification background is incorrect in GNOME Classic
notification background is incorrect in GNOME Classic
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-15 09:06 EDT by David Demelier
Modified: 2017-07-26 08:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (4.44 KB, image/png)
2017-06-15 09:06 EDT, David Demelier
no flags Details
Screenshot of the message tray (1.19 MB, image/png)
2017-07-19 11:33 EDT, Jerome Marchand
no flags Details

  None (edit)
Description David Demelier 2017-06-15 09:06:34 EDT
Created attachment 1288059 [details]
screenshot

Description of problem:

Using GNOME Classic, the notification background looks incorrect and the foreground color is unreadable.

Steps to Reproduce:

1. Use adwaita default theme and GNOME Classic.
2. Launch any notification using notify-send hello

Actual results:

Black on black colors.

Expected results:

Something readable like in stock GNOME. Probably a CSS issue.
Comment 1 Jerome Marchand 2017-07-19 11:32:38 EDT
Same issue with the message tray. The "Clear all" button at the bottom is totally illegible (the very same shade of light grey it seems). It's barely legible when the mouse hover the button (white on light grey). 

Gnome classic, fresh install.
Comment 2 Jerome Marchand 2017-07-19 11:33 EDT
Created attachment 1301171 [details]
Screenshot of the message tray
Comment 3 Jerome Marchand 2017-07-24 09:06:55 EDT
In the mean time, is there a workaround? Can we set the color of notification somehow?
Comment 4 Jerome Marchand 2017-07-26 08:48:34 EDT
(In reply to Jerome Marchand from comment #3)
> In the mean time, is there a workaround? Can we set the color of
> notification somehow?

This is is really annoying, so I dug a bit. I came to to following file:
/usr/share/gnome-shell/theme/gnome-classic.css

It contains a section for the notification banner:

.notification-banner {
  font-size: 11pt;
  width: 34em;
  margin: 5px;
  border-radius: 6px;
  color: #eeeeec;
  background-color: #2e3436;
  border: 1px solid #a1a1a1; }
  .notification-banner:hover {
    background-color: #2e3436; }
  .notification-banner:focus {
    background-color: #2e3436; }

See the dark background colors above. I don't know what determines the color of the text itself (currently black), so I made a custom theme that only redefines  the background with a lighter color and it seems to work.

Note You need to log in before you can comment on or make changes to this bug.